Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.config.java.model
Class ModelMethod

    java.lang.Object
      org.springframework.config.java.model.ModelMethod

    public class ModelMethod

extends java.lang.Object

TODO: JAVADOC

Constructor Summary
`ModelMethod(java.lang.String name, int modifiers, java.lang.annotation.Annotation[] annotations)`

Method Summary
`void` | `addAnnotation(java.lang.annotation.Annotation annotation)`
`boolean` | `equals(java.lang.Object obj)`
`static ModelMethod` | `forMethod(java.lang.reflect.Method method)` Create a ModelMethod representation of a.`Method`
`protected java.lang.annotation.Annotation[]` | `getAnnotations()`
`ModelClass` | `getDeclaringClass()`
`int` | `getLineNumber()`
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`void` | `setDeclaringClass(ModelClass declaringClass)`
`void` | `setLineNumber(int lineNumber)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelMethod

    public ModelMethod(java.lang.String name,
                       int modifiers,
                       java.lang.annotation.Annotation[] annotations)

Method Detail

### getName

    public java.lang.String getName()

### getModifiers

    public int getModifiers()

  See Also:
    `Modifier`

### getAnnotations

    protected java.lang.annotation.Annotation[] getAnnotations()

### addAnnotation

    public void addAnnotation(java.lang.annotation.Annotation annotation)

### setDeclaringClass

    public void setDeclaringClass(ModelClass declaringClass)

### getDeclaringClass

    public ModelClass getDeclaringClass()

### setLineNumber

    public void setLineNumber(int lineNumber)

### getLineNumber

    public int getLineNumber()

### forMethod

    public static ModelMethod forMethod(java.lang.reflect.Method method)

  Create a ModelMethod representation of a.`Method`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD